/** @type {Record<string, string|string[]|null>} */
export const schema = {
  abbr: 'th',
  accept: 'input',
  acceptCharset: 'form',
  accessKey: null,
  action: 'form',
  charSet: ['meta', 'script'],
  className: null,
  cols: 'textarea',
  colSpan: ['td', 'th'],
  coords: 'area',
  dir: null,
  dirname: ['input', 'textarea'],
  dropzone: null,
  headers: ['td', 'th'],
  htmlFor: ['label', 'output'],
  form: [
    'button',
    'fieldset',
    'input',
    'keygen',
    'object',
    'output',
    'select',
    'textarea'
  ],
  formAction: ['button', 'input'],
  height: ['canvas', 'embed', 'iframe', 'img', 'input', 'object', 'video'],
  high: 'meter',
  href: 'link',
  icon: 'menuitem',
  id: null,
  itemProp: null,
  itemRef: null,
  itemType: null,
  list: 'input',
  low: 'meter',
  manifest: 'html',
  max: ['meter', 'progress'],
  maxLength: ['input', 'textarea'],
  menu: 'button',
  min: 'meter',
  minLength: ['input', 'textarea'],
  name: [
    'button',
    'fieldset',
    'input',
    'keygen',
    'output',
    'select',
    'textarea',
    'form',
    'map',
    'meta',
    'param',
    'slot'
  ],
  optimum: 'meter',
  pattern: 'input',
  ping: ['a', 'area'],
  placeholder: ['input', 'textarea'],
  poster: 'video',
  rel: ['a', 'area', 'link'],
  rows: 'textarea',
  rowSpan: ['td', 'th'],
  size: ['input', 'select'],
  span: ['col', 'colgroup'],
  src: [
    'audio',
    'embed',
    'iframe',
    'img',
    'input',
    'script',
    'source',
    'track',
    'video'
  ],
  start: 'ol',
  style: null,
  tabIndex: null,
  type: [
    'a',
    'link',
    'button',
    'embed',
    'object',
    'script',
    'source',
    'style',
    'input',
    'menu',
    'menuitem',
    'ol'
  ],
  useMap: ['img', 'object'],
  value: ['button', 'input', 'li'],
  width: ['canvas', 'embed', 'iframe', 'img', 'input', 'object', 'video']
}
